package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_electric_meter_info的实体类
 */
public class ElectricMeterInfo {
	private String id;
	private String meterNo;
	private String unitNo;
	private String name;
	private String terminalId;
	private String terminalName;
	private String terminalRemark;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取表号
	 */
	public String getMeterNo(){
		return meterNo;
	}
	
	/**
	 *设置表号
	 */
	public void setMeterNo(String meterNo){
		this.meterNo = meterNo;
	}
		/**
	 *获取单位号
	 */
	public String getUnitNo(){
		return unitNo;
	}
	
	/**
	 *设置单位号
	 */
	public void setUnitNo(String unitNo){
		this.unitNo = unitNo;
	}
		/**
	 *获取标识名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置标识名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取所属终端ID
	 */
	public String getTerminalId(){
		return terminalId;
	}
	
	/**
	 *设置所属终端ID
	 */
	public void setTerminalId(String terminalId){
		this.terminalId = terminalId;
	}

	/**
	 *获取所属终端名称
	 */
	public String getTerminalName(){
		return terminalName;
	}

	/**
	 *设置所属终端名称
	 */
	public void setTerminalName(String terminalName){
		this.terminalName = terminalName;
	}
	/**
	 *获取所属终端备注
	 */
	public String getTerminalRemark(){
		return terminalRemark;
	}

	/**
	 *设置所属终端备注
	 */
	public void setTerminalRemark(String terminalRemark){
		this.terminalRemark = terminalRemark;
	}

		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}